Get fixed asset class
curl --request GET \
--url https://api.dualentry.com/public/v1/fixed-asset-classes/{fixed_asset_class_id}/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v1/fixed-asset-classes/{fixed_asset_class_id}/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v1/fixed-asset-classes/{fixed_asset_class_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"status": "<string>",
"book_defaults": [
{
"id": 123,
"depreciation_book_id": 123,
"useful_life": 123,
"depreciation_method": "straight_line",
"depreciation_frequency": "monthly",
"convention": "mid_month",
"salvage_value": "<string>",
"acceleration_factor": "<string>",
"property_class": 3,
"ads_recovery_period": 3,
"custom_schedule": [
{
"value": "<string>",
"period_count": 123
}
],
"custom_schedule_type": "cost_percentage"
}
],
"company_id": 123,
"asset_account_id": 123,
"expense_account_id": 123,
"accumulation_account_id": 123
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}Fixed Asset Classes
Get fixed asset class (v1)
API reference for Get fixed asset class in the DualEntry API
GET
/
public
/
v1
/
fixed-asset-classes
/
{fixed_asset_class_id}
/
Get fixed asset class
Authorizations
Path Parameters
Last modified on September 30, 2026
Was this page helpful?